function varargout = pawmod2(varargin)
% PAWMOD2 MATLAB code for pawmod2.fig
%      PAWMOD2, by itself, creates a new PAWMOD2 or raises the existing
%      singleton*.
%
%      H = PAWMOD2 returns the handle to a new PAWMOD2 or the handle to
%      the existing singleton*.
%
%      PAWMOD2('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in PAWMOD2.M with the given input arguments.
%
%      PAWMOD2('Property','Value',...) creates a new PAWMOD2 or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before pawmod2_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to pawmod2_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help pawmod2

% Last Modified by GUIDE v2.5 03-Nov-2011 21:41:54

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @pawmod2_OpeningFcn, ...
                   'gui_OutputFcn',  @pawmod2_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before pawmod2 is made visible.
function pawmod2_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to pawmod2 (see VARARGIN)

% Choose default command line output for pawmod2
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes pawmod2 wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = pawmod2_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in simulate.
function simulate_Callback(hObject, eventdata, handles)
% hObject    handle to simulate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
depth= str2num(get(handles.boxdepth,'String')); %cm str2num converts data inserted as a text in numerical data 
%that can be used by matlab to use in other commands or graphs. Handles is
%the vocabulary that is used in GUI to refer to other data.
thetafc= str2num(get(handles.boxfc,'String')); %cm3 cm-3
thetawp= str2num(get(handles.boxwp,'String')); %cm3 cm-3
Kci= str2num(get(handles.boxkci,'String'));

Kcdev=str2num(get(handles.boxkcdev,'String'));

Kcmid=str2num(get(handles.boxkcmid,'String'));

Kclate=str2num(get(handles.boxkclate,'String'));

dapKci= str2num(get(handles.boxdapkci,'String'));

dapKcdev= str2num(get(handles.boxdapkcdev,'String'));

dapKcmid=str2num(get(handles.boxdapkcmid,'String'));

dapKclate=str2num(get(handles.boxdapkclate,'String'));

wp=thetawp*depth*10; %mm wp is "wilting point" (soil water retention at 1500 kPa of air pressure)

fc=thetafc*depth*10; %mm fc stands for "field capacity" (soil water retention at 33 kPa of air pressure)
aw=fc - wp; %mm
pawi= str2num(get(handles.boxpawi,'String')); %pawi is the plant available water at the beginning of the crop cycle.

treshold= str2num(get(handles.boxstress,'String')); %unitless The ratio between total plant available water (PAW)
%and actual PAW that is defined as the point where plants starts suffering
%water stress and therefore lowering crop yield.

stressline=aw*treshold;

t = xlsread('Climate.xlsx', 1, 'B:B'); %days 
eto = xlsread('Climate.xlsx', 1, 'C:C');
rainfall = xlsread('Climate.xlsx', 1, 'D:D');
pawm = xlsread('Climate.xlsx', 1, 'E:E');
cn= str2num(get(handles.boxcn,'String'));% curve number parameter.
s=(1000/cn-10);
lambda=0.2; %coefficient in the curve number method. For no-tillage systems it has been recommeded 0.05, however this model uses the standard value of 0.2
Ia=s*lambda;
w=max (t);
paw=(1:w)'; paw(1)=pawi;  Kc=(1:w)'; Kc(1)=Kci; 
for n=(2:w);
  for n=2:dapKci;
      Kc(n)=Kci;
  for n=dapKci+1:dapKcdev;
      Kc(n)=Kcdev;
  for n=dapKcdev+1:dapKcmid;
      Kc(n)=Kcmid;
  for n=dapKcmid+1:dapKclate;
      Kc(n)=Kclate;
  end
  end
  end
  end
end

etc=(1:w)'; etc(1)=Kci*eto(1); Kcadj=(1:w)'; Kcadj(1)=Kci; runoff=(1:w)'; runoff(1)= 0;
rainfalleffective=(1:w)'; rainfalleffective(1)=rainfall(1); etccum=(1:w)'; etccum(1)=Kci*eto(1);

     
    
for n=(2:w)
      
      if (paw(n-1)/aw<treshold);
          
           Kcadj(n)= (Kc(n).*((paw(n-1)/aw)/treshold));
      else 
          Kcadj(n)=Kc(n);
          
      end
       if ((rainfall(n)/25.4>0)&&(rainfall(n)/25.4>Ia))
          runoff(n)=(((rainfall(n)/25.4-Ia)^2/((rainfall(n)/25.4)-Ia+s))*25.4);
          rainfalleffective(n)=rainfall(n)-runoff(n);
      else
          runoff(n)=0;
          rainfalleffective(n)=rainfall(n);
      end
              
    if (pawm(n)> 0);
       paw(n-1)=pawm(n);
    end
   
    etc(n)=eto(n).*(Kcadj(n));
    paw(n)=paw(n-1)+ rainfalleffective(n)-etc(n);
    etccum(n)=etccum(n-1)+etc(n);       
end
%checkboxStatus = 0, if the box is unchecked,
%checkboxStatus = 1, if the box is checked
checkboxStatus1 = get(handles.pawvst,'Value');
if(checkboxStatus1)
    %if box is checked, graph paw vs time
   figure(1);
  subplot (2,2,1), plot(t,paw,t,stressline,'LineWidth',1) 
  ylim([0 350]);
   title('PAW vs Time','Fontsize',14);
   ylabel('PAW (mm)');
   xlabel('DAP');
end
checkboxStatus2 = get(handles.rainfallvst,'Value');
if(checkboxStatus2)
    %if box is checked, graph paw vs time
   figure(1);
   subplot (2,2,2),plot (t,rainfall)  
   title('Rainfall vs Time','Fontsize',14);
   ylim([0 150]);
   ylabel('Rainfall (mm)');
   xlabel('DAP');
end
checkboxStatus3 = get(handles.runoffvst,'Value');
if(checkboxStatus3)
    %if box is checked, graph paw vs time
   figure(1);
  subplot (2,2,4), plot (t,runoff)  
   title('Runoff vs Time','Fontsize',14);
   ylim([0 150]);
   xlabel('DAP');
   ylabel('Runoff (mm)');
end
checkboxStatus4 = get(handles.etvst,'Value');
if(checkboxStatus4)
    %if box is checked, graph paw vs time
   figure(1);
   subplot (2,2,3), plot (t,etccum) 
   title('Cumulative Crop ET vs Time','Fontsize',14);
   xlabel('DAP');
   ylabel('ET (mm)');
   end
d= {'PAW (mm)','ETc (mm)','Runoff (mm)','ETc Cumulative (mm)'};
xlswrite('Climate.xlsx', d, 1, 'F11');
xlswrite('Climate.xlsx', paw, 1, 'F12')
xlswrite('Climate.xlsx', etc, 1, 'G12')
xlswrite('Climate.xlsx', runoff, 1, 'H12')
xlswrite('Climate.xlsx', etccum, 1, 'I12')
warning off MATLAB:xlswrite:AddSheet


% --- Executes on slider movement.
function sliderkclate_Callback(hObject, eventdata, handles)
% hObject    handle to sliderkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderkclate,'Value');
 
%puts the slider value into the edit text component
set(handles.boxkclate,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderkclate_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderkcmid_Callback(hObject, eventdata, handles)
% hObject    handle to sliderkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderkcmid,'Value');
 
%puts the slider value into the edit text component
set(handles.boxkcmid,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function sliderkcmid_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderkcdev_Callback(hObject, eventdata, handles)
% hObject    handle to sliderkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderkcdev,'Value');
 
%puts the slider value into the edit text component
set(handles.boxkcdev,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderkcdev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderkci_Callback(hObject, eventdata, handles)
% hObject    handle to sliderkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderkci,'Value');
 
%puts the slider value into the edit text component
set(handles.boxkci,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function sliderkci_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderdapkclate_Callback(hObject, eventdata, handles)
% hObject    handle to sliderdapkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderdapkclate,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxdapkclate,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderdapkclate_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderdapkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderdapkcmid_Callback(hObject, eventdata, handles)
% hObject    handle to sliderdapkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderdapkcmid,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxdapkcmid,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderdapkcmid_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderdapkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderdapkcdev_Callback(hObject, eventdata, handles)
% hObject    handle to sliderdapkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderdapkcdev,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxdapkcdev,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function sliderdapkcdev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderdapkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderdapkci_Callback(hObject, eventdata, handles)
% hObject    handle to sliderdapkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderdapkci,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxdapkci,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderdapkci_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderdapkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function boxkci_Callback(hObject, eventdata, handles)
% hObject    handle to boxkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxkci as text
%        str2double(get(hObject,'String')) returns contents of boxkci as a double


% --- Executes during object creation, after setting all properties.
function boxkci_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end




function boxkclate_Callback(hObject, eventdata, handles)
% hObject    handle to boxkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxkclate as text
%        str2double(get(hObject,'String')) returns contents of boxkclate as a double
%get the string for the editText component
sliderValue = get(handles.sliderkclate,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderkclate,'Value',0);
    set(handles.boxkclate,'String','0');
else
    set(handles.sliderkclate,'Value',sliderValue);
end



% --- Executes during object creation, after setting all properties.
function boxkclate_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxkcmid_Callback(hObject, eventdata, handles)
% hObject    handle to boxkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxkcmid as text
%        str2double(get(hObject,'String')) returns contents of boxkcmid as a double
%get the string for the editText component
sliderValue = get(handles.sliderkcmid,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderkcmid,'Value',0);
    set(handles.boxkcmid,'String','0');
else
    set(handles.sliderkcmid,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxkcmid_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxkcdev_Callback(hObject, eventdata, handles)
% hObject    handle to boxkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxkcdev as text
%        str2double(get(hObject,'String')) returns contents of boxkcdev as a double
%get the string for the editText component
sliderValue = get(handles.sliderkcdev,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderkcdev,'Value',0);
    set(handles.boxkcdev,'String','0');
else
    set(handles.sliderkcdev,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxkcdev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxdapkci_Callback(hObject, eventdata, handles)
% hObject    handle to boxdapkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxdapkci as text
%        str2double(get(hObject,'String')) returns contents of boxdapkci as a double
%get the string for the editText component
sliderValue = get(handles.sliderdapkci,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderdapkci,'Value',0);
    set(handles.boxdapkci,'String','0');
else
    set(handles.sliderdapkci,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxdapkci_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxdapkci (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxdapkcdev_Callback(hObject, eventdata, handles)
% hObject    handle to boxdapkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxdapkcdev as text
%        str2double(get(hObject,'String')) returns contents of boxdapkcdev as a double
%get the string for the editText component
sliderValue = get(handles.sliderdapkcdev,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderdapkcdev,'Value',0);
    set(handles.boxdapkcdev,'String','0');
else
    set(handles.sliderdapkcdev,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxdapkcdev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxdapkcdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxdapkcmid_Callback(hObject, eventdata, handles)
% hObject    handle to boxdapkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxdapkcmid as text
%        str2double(get(hObject,'String')) returns contents of boxdapkcmid as a double
%get the string for the editText component
sliderValue = get(handles.sliderdapkcmid,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderdapkcmid,'Value',0);
    set(handles.boxdapkcmid,'String','0');
else
    set(handles.sliderdapkcmid,'Value',sliderValue);
end

% --- Executes during object creation, after setting all properties.
function boxdapkcmid_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxdapkcmid (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxdapkclate_Callback(hObject, eventdata, handles)
% hObject    handle to boxdapkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxdapkclate as text
%        str2double(get(hObject,'String')) returns contents of boxdapkclate as a double
%get the string for the editText component
sliderValue = get(handles.sliderdapkclate,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 

if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderdapkclate,'Value',0);
    set(handles.boxdapkclate,'String','0');
else
    set(handles.sliderdapkclate,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxdapkclate_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxdapkclate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function sliderpawi_Callback(hObject, eventdata, handles)
% hObject    handle to sliderpawi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderpawi,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxpawi,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderpawi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderpawi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderdepth_Callback(hObject, eventdata, handles)
% hObject    handle to sliderdepth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderdepth,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxdepth,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderdepth_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderdepth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderfc_Callback(hObject, eventdata, handles)
% hObject    handle to sliderfc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderfc,'Value');
 
%puts the slider value into the edit text component
set(handles.boxfc,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderfc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderfc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderwp_Callback(hObject, eventdata, handles)
% hObject    handle to sliderwp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderwp,'Value');
 
%puts the slider value into the edit text component
set(handles.boxwp,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderwp_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderwp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function sliderstress_Callback(hObject, eventdata, handles)
% hObject    handle to sliderstress (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.sliderstress,'Value');
 
%puts the slider value into the edit text component
set(handles.boxstress,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function sliderstress_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sliderstress (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slidercn_Callback(hObject, eventdata, handles)
% hObject    handle to slidercn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
%obtains the slider value from the slider component
sliderValue = get(handles.slidercn,'Value');
sliderValue=round(sliderValue);
 
%puts the slider value into the edit text component
set(handles.boxcn,'String', num2str(sliderValue));
 
% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function slidercn_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slidercn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function boxpawi_Callback(hObject, eventdata, handles)
% hObject    handle to boxpawi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxpawi as text
%        str2double(get(hObject,'String')) returns contents of boxpawi as a double
%get the string for the editText component
sliderValue = get(handles.boxpawi,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderpawi,'Value',0);
    set(handles.boxpawi,'String','0');
else
    set(handles.sliderpawi,'Value',sliderValue);
end



% --- Executes during object creation, after setting all properties.
function boxpawi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxpawi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxdepth_Callback(hObject, eventdata, handles)
% hObject    handle to boxdepth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxdepth as text
%        str2double(get(hObject,'String')) returns contents of boxdepth as a double
%get the string for the editText component
sliderValue = get(handles.boxdepth,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderdepth,'Value',0);
    set(handles.boxdepth,'String','0');
else
    set(handles.sliderdepth,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxdepth_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxdepth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxfc_Callback(hObject, eventdata, handles)
% hObject    handle to boxfc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxfc as text
%        str2double(get(hObject,'String')) returns contents of boxfc as a double
%get the string for the editText component
sliderValue = get(handles.boxfc,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderfc,'Value',0);
    set(handles.boxfc,'String','0');
else
    set(handles.sliderfc,'Value',sliderValue);
end

% --- Executes during object creation, after setting all properties.
function boxfc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxfc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxwp_Callback(hObject, eventdata, handles)
% hObject    handle to boxwp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxwp as text
%        str2double(get(hObject,'String')) returns contents of boxwp as a double
%get the string for the editText component
sliderValue = get(handles.boxwp,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderwp,'Value',0);
    set(handles.boxwp,'String','0');
else
    set(handles.sliderwp,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxwp_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxwp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxstress_Callback(hObject, eventdata, handles)
% hObject    handle to boxstress (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxstress as text
%        str2double(get(hObject,'String')) returns contents of boxstress as a double
%get the string for the editText component
sliderValue = get(handles.boxstress,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.sliderstress,'Value',0);
    set(handles.boxstress,'String','0');
else
    set(handles.sliderstress,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxstress_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxstress (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function boxcn_Callback(hObject, eventdata, handles)
% hObject    handle to boxcn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of boxcn as text
%        str2double(get(hObject,'String')) returns contents of boxcn as a double
%get the string for the editText component
sliderValue = get(handles.boxcn,'String');
 
%convert from string to number if possible, otherwise returns empty
sliderValue = str2num(sliderValue);
 
%if user inputs something is not a number, or if the input is less than 0
%or greater than 100, then the slider value defaults to 0
if (isempty(sliderValue) || sliderValue < 0 || sliderValue > 2)
    set(handles.slidercn,'Value',0);
    set(handles.boxcn,'String','0');
else
    set(handles.slidercn,'Value',sliderValue);
end


% --- Executes during object creation, after setting all properties.
function boxcn_CreateFcn(hObject, eventdata, handles)
% hObject    handle to boxcn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit19_Callback(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit19 as text
%        str2double(get(hObject,'String')) returns contents of edit19 as a double


% --- Executes during object creation, after setting all properties.
function edit19_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in exit.
function exit_Callback(hObject, eventdata, handles)
% hObject    handle to exit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
msgbox ('Thanks for dedicating time reviewing this Project')
delete (handles.figure1)



% --- Executes on button press in help1.
function help1_Callback(hObject, eventdata, handles)
% hObject    handle to help1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
msgbox ('Type "doc pawmodfunction" in the command window')


% --- Executes on button press in pawvst.
function pawvst_Callback(hObject, eventdata, handles)
% hObject    handle to pawvst (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of pawvst


% --- Executes on button press in etvst.
function etvst_Callback(hObject, eventdata, handles)
% hObject    handle to etvst (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of etvst


% --- Executes on button press in runoffvst.
function runoffvst_Callback(hObject, eventdata, handles)
% hObject    handle to runoffvst (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of runoffvst


% --- Executes on button press in rainfallvst.
function rainfallvst_Callback(hObject, eventdata, handles)
% hObject    handle to rainfallvst (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of rainfallvst
